[gnue] r9776 - trunk/gnue-appserver/packaging/debian

[email protected]
Newsgroups gmane.comp.cms.gnue.cvs
Message-ID <[email protected]>
Author: reinhard
Date: 2007-08-06 10:55:03 -0500 (Mon, 06 Aug 2007)
New Revision: 9776

Modified:
   trunk/gnue-appserver/packaging/debian/gnue-appserver.init
Log:
Fixed Debian packaging to allow uninstall for unconfigured appserver (no
connections.conf, so appserver doesn't start) in the case where VERBOSE=no in
init configuration.


Modified: trunk/gnue-appserver/packaging/debian/gnue-appserver.init
===================================================================
--- trunk/gnue-appserver/packaging/debian/gnue-appserver.init	2007-08-06 15:26:36 UTC (rev 9775)
+++ trunk/gnue-appserver/packaging/debian/gnue-appserver.init	2007-08-06 15:55:03 UTC (rev 9776)
@@ -75,16 +75,16 @@
 	[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
 	do_start
 	case "$?" in
-		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 || exit 0;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 || exit 1;;
 	esac
 	;;
   stop)
 	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
 	do_stop
 	case "$?" in
-		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 || exit 0;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 || exit 1;;
 	esac
 	;;
   reload|force-reload)
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.